Skip to main content
PATCH
Change Discount

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

Identifier of the discount.

Body

application/json

Schema used to update a discount.

metadata
Metadata · object

Metadata map for information your integration needs to retain.

The key must be a string with a maximum length of 40 characters. The value must be either:

  • A string with a maximum length of 500 characters
  • An integer
  • A floating-point number
  • A boolean

You can store up to 50 key-value pairs.

name
string | null

Name: Name of the discount. Will be displayed to the customer when the discount is applied.

Minimum string length: 1
code
string | null

Code: Code customers can use to apply the discount during checkout. Must be between 3 and 256 characters long and contain only alphanumeric characters.If not provided, the discount can only be applied via the API.

starts_at
string<date-time> | null

Starts At: Optional timestamp after which the discount is redeemable.

ends_at
string<date-time> | null

Ends At: Optional timestamp after which the discount is no longer redeemable.

max_redemptions
integer | null

Max Redemptions: Optional maximum number of times the discount can be redeemed.

Required range: 1 <= x <= 2147483647
duration
enum<string> | null
Available options:
once,
forever,
repeating
duration_in_months
integer | null

Number of months the discount should be applied.

For this to work on yearly pricing, you should multiply this by 12. For example, to apply the discount for 2 years, set this to 24.

Required range: 1 <= x <= 999
type
enum<string> | null
Available options:
fixed,
percentage
amount
integer | null
deprecated

Amount: Fixed amount to discount from the invoice total.

Required range: 0 <= x <= 999999999999
currency
enum<string> | null
deprecated

Currency: Currency of the fixed amount discount.

Available options:
aed,
all,
amd,
aoa,
ars,
aud,
awg,
azn,
bam,
bbd,
bdt,
bif,
bmd,
bnd,
bob,
brl,
bsd,
bwp,
bzd,
cad,
cdf,
chf,
clp,
cny,
cop,
crc,
cve,
czk,
djf,
dkk,
dop,
dzd,
egp,
etb,
eur,
fjd,
fkp,
gbp,
gel,
gip,
gmd,
gnf,
gtq,
gyd,
hkd,
hnl,
htg,
huf,
idr,
ils,
inr,
isk,
jmd,
jpy,
kes,
kgs,
khr,
kmf,
krw,
kyd,
kzt,
lak,
lkr,
lrd,
lsl,
mad,
mdl,
mga,
mkd,
mnt,
mop,
mur,
mvr,
mwk,
mxn,
myr,
mzn,
nad,
ngn,
nio,
nok,
npr,
nzd,
pab,
pen,
pgk,
php,
pkr,
pln,
pyg,
qar,
ron,
rsd,
rwf,
sar,
sbd,
scr,
sek,
sgd,
shp,
sos,
srd,
szl,
thb,
tjs,
top,
try,
ttd,
twd,
tzs,
uah,
ugx,
usd,
uyu,
uzs,
vnd,
vuv,
wst,
xaf,
xcd,
xcg,
xof,
xpf,
yer,
zar,
zmw
amounts
Amounts · object | null

Amounts: Map of currency to fixed amount to discount from the total. This allows specifying different discount amounts for different currencies.

basis_points
integer | null

Discount percentage in basis points.

A basis point is 1/100th of a percent. For example, to create a 25.5% discount, set this to 2550.

Required range: 1 <= x <= 10000
products
string<uuid4>[] | null

Collection of product IDs the discount can be applied to.

Response

Response: Discount updated.

Schema for a fixed amount discount that is applied once or forever.

duration
enum<string>
required
Available options:
once,
forever,
repeating
type
enum<string>
required
Available options:
fixed,
percentage
amount
integer
required
deprecated
Example:

1000

currency
string
required
deprecated
Example:

"usd"

amounts
Amounts · object
required

Amounts: Map of currency to fixed amount to discount from the total.

Example:
created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

id
string<uuid4>
required

The stable identifier for this record.

metadata
object
required
name
string
required

Name: Name of the discount. Will be displayed to the customer when the discount is applied.

code
string | null
required

Code: Code customers can use to apply the discount during checkout.

starts_at
string<date-time> | null
required

Starts At: Timestamp after which the discount is redeemable.

ends_at
string<date-time> | null
required

Ends At: Timestamp after which the discount is no longer redeemable.

max_redemptions
integer | null
required

Max Redemptions: Maximum number of times the discount can be redeemed.

redemptions_count
integer
required

Count of times the discount has been redeemed.

organization_id
string<uuid4>
required

Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

products
DiscountProduct · object[]
required